Name:           gtkdatabox
Version:        0.9.0.1
Release:        1%{?dist}
Summary:        GTK+ widget for fast data display
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.eudoxos.net/gtk/gtkdatabox
Source:         http://www.eudoxos.net/gtk/gtkdatabox/download/%{name}-%{version}.tar.gz
Patch0:         gtkdatabox-0.8.2.0-userpmoptflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel, libglade2-devel, pkgconfig

%description
GtkDatabox is a widget for the GTK+ library designed to display
large amounts of numerical data fast and easy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel, libglade2-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries, header files, and documentation
for developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .optflags

%build
%configure --disable-static --enable-libglade
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libgtkdatabox-*.so.*
%{_libdir}/libglade/2.0/libdatabox.so

%files devel
%defattr(-,root,root,-)
%doc examples/*.c
%{_includedir}/gtkdatabox*.h
%{_libdir}/libgtkdatabox.so
%{_libdir}/pkgconfig/gtkdatabox.pc
%{_datadir}/gtk-doc/html/gtkdatabox/

%changelog
* Mon Sep 08 2008 Eric Work <work.eric@gmail.com> 0.9.0.1-1
- new upstream version
- drop patch gcallback

* Mon Sep 01 2008 Eric Work <work.eric@gmail.com> 0.9.0.0-1
- new upstream version
- new gtk-doc documentation
- fix deprecated GTK_SIGNAL_FUNC

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.2.2-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Eric Work <work.eric@gmail.com> 0.8.2.2-1
- new upstream version

* Tue Dec 18 2007 Eric Work <work.eric@gmail.com> 0.8.2.0-1
- new upstream version
- drop patch compilefix
- enable libglade support

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.0.1-2
- fix license tag
- use rpm optflags

* Mon Nov 26 2007 Eric Work <work.eric@gmail.com> 0.8.0.1-1
- new upstream version

* Tue Mar 20 2007 Eric Work <work.eric@gmail.com> 0.7.0.1-1
- new upstream version

* Sat Nov 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-4
- bumped EVR to assure devel replaces FC6

* Fri Sep 15 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-3
- bumped version to prepare for FC6

* Thu Aug 17 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-2
- removed devel post/postun scripts

* Fri Aug 11 2006 Eric Work <work.eric@gmail.com> 0.7.0.0-1
- updated to 0.7.0.0

* Tue Aug 08 2006 Eric Work <work.eric@gmail.com> 0.6.0.0-1
- updated to 0.6.0.0

* Fri Jun 23 2006 Eric Work <work.eric@gmail.com> 0.5.3.0-1
- initial release
